CVE Vulnerabilities

CVE-2004-1078

Published: Apr 26, 2004 | Modified: Sep 05, 2008
CVSS 3.x
N/A
Source:
NVD
CVSS 2.x
7.5 HIGH
AV:N/AC:L/Au:N/C:P/I:P/A:P
RedHat/V2
RedHat/V3
Ubuntu

Stack-based buffer overflow in the client for Citrix Program Neighborhood Agent for Win32 8.00.24737 and earlier and Citrix MetaFrame Presentation Server client for WinCE before 8.33 allows remote attackers to execute arbitrary code via a long cached icon filename in the InName XML element.

Affected Software

Name Vendor Start Version End Version
Metaframe_client Citrix 8.0 8.0
Program_neighborhood_agent Citrix 8.0 8.0

References